Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionContentConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionContentConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionContentConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("CCC8D0A1-301A-41EE-A892-C3672989A80C")]
   public class RunCollectionContentConstraint : Constraint, IRunCollectionConstraint {
     public new RunCollection ConstrainedValue {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionEqualityConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("DB571126-0AB6-4C54-BF0C-A16DA31DFF15")]
   [Item("RunCollectionEqualityConstraint", "A constraint which checks the members of the contained runs for equality to the constraint data.")]
   public class RunCollectionEqualityConstraint : EqualityConstraint, IRunCollectionColumnConstraint {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionTypeCompatiblityConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("D2C4FB68-CC99-4011-B255-399EEF0B5744")]
   [Item("RunCollectionTypeCompatibilityConstraint", "A constraint which checks the members of the contained runs for type compabitiliby to the constraint data.")]
   public class RunCollectionTypeCompatibilityConstraint : TypeCompatibilityConstraint, IRunCollectionColumnConstraint {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/Calculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/Calculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/Calculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Optimization {
 
-  [StorableClass]
+  [StorableClass("9E68B940-C444-4961-8B4B-A8C021E7FCBA")]
   public class Calculator : IDeepCloneable {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionDiscretizer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionDiscretizer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionDiscretizer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
     "Creates several levels from the distribution of a certain result accross a run collection and " +
     "assigns a discretized value. Non-existing numbers as well as NaN and infinities are excluded from the caluclation.")]
-  [StorableClass]
+  [StorableClass("3DDD303F-8A78-4108-9439-441E5AC2523F")]
   public class RunCollectionDiscretizer : ParameterizedNamedItem, IRunCollectionModifier {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionFormulaModifer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionFormulaModifer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionFormulaModifer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 
   [Item("RunCollection Formula Modifier", "Modifies a RunCollection by adding results using the given formula.")]
-  [StorableClass]
+  [StorableClass("2DBB38CC-E8F5-4B3A-B341-DDED7B95BBF4")]
   public class RunCollectionFormulaModifer : ParameterizedNamedItem, IRunCollectionModifier {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionGroupCreater.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionGroupCreater.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionGroupCreater.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 
   [Item("RunCollection Group Creater", "Regroups existing runs according to equal values in GroupBy and prefixes them according to their value in Prefix.")]
-  [StorableClass]
+  [StorableClass("EB0E504A-6DDF-4F6D-9D57-987888FF26CD")]
   public class RunCollectionGroupCreater : ParameterizedNamedItem, IRunCollectionModifier {
     
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionRunRemover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionRunRemover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionRunRemover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Optimization {
   [Item("RunCollection Run Remover", "Removes all currently visible runs. Use the filtering tab to selectively remove runs.")]
-  [StorableClass]
+  [StorableClass("DBF9E46E-6139-4B46-9C1B-47D9234222DE")]
   public class RunCollectionRunRemover : ParameterizedNamedItem, IRunCollectionModifier {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionSorter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionSorter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionSorter.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("RunCollection Sorter", "Sorts a run collection according the specified key variable.")]
-  [StorableClass]
+  [StorableClass("82F029EE-BE76-4F34-A891-8D255FE6061B")]
   public class RunCollectionSorter : ParameterizedNamedItem, IRunCollectionModifier {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionValueRemover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionValueRemover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionValueRemover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 
   [Item("RunCollection Value Remover", "Modifies a RunCollection by removing results or parameters.")]
-  [StorableClass]
+  [StorableClass("39713EC7-0916-44BE-AE3A-0713182C92A2")]
   public class RunCollectionValueRemover : ParameterizedNamedItem, IRunCollectionModifier {
     
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ComparisonTerminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ComparisonTerminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ComparisonTerminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("ComparisonTerminator", "An termination criterion which compares two values.")]
-  [StorableClass]
+  [StorableClass("99FAA1C3-8BC0-4D63-948F-BE66644D5757")]
   public class ComparisonTerminator<T> : ThresholdTerminator<T> where T : class, IItem, IComparable, IStringConvertibleValue, new() {
     public ILookupParameter<T> ComparisonValueParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ExecutionTimeTerminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ExecutionTimeTerminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ExecutionTimeTerminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("ExecutionTimeTerminator", "A termination criterion based on execution time of an algorithm.")]
-  [StorableClass]
+  [StorableClass("DCF264FC-0234-4CBA-AD20-1F8B56EAF08E")]
   public class ExecutionTimeTerminator : ThresholdTerminator<TimeSpanValue> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/MultiTerminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/MultiTerminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/MultiTerminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Optimization {
   [Item("MultiTerminator", "A multi operator, containing termination criteria.")]
-  [StorableClass]
+  [StorableClass("315D829D-B20E-4ADD-B5F5-478763DC9407")]
   public sealed class MultiTerminator : CheckedMultiOperator<ITerminator>, ITerminator {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/SingleObjectiveQualityTerminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/SingleObjectiveQualityTerminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/SingleObjectiveQualityTerminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Optimization {
   [Item("SingleObjectiveQualityTerminator", "A termination criterion which uses a quality parameter (eg. current best quality) for termination.")]
-  [StorableClass]
+  [StorableClass("DD460793-391F-4C08-AC4E-D83B76B98330")]
   public class SingleObjectiveQualityTerminator : ComparisonTerminator<DoubleValue> {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/TerminationOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/TerminationOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/TerminationOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Optimization {
   [Item("TerminationOperator", "An operator which either calls the terminate- or the continue branch.")]
-  [StorableClass]
+  [StorableClass("F4E2163B-B555-4186-9C8A-0E3B86C44EC2")]
   public sealed class TerminationOperator : InstrumentedOperator, ITerminationBasedOperator {
     public ILookupParameter<ITerminator> TerminatorParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/Terminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/Terminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/Terminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Terminator", "A base class for all termination criteria.")]
-  [StorableClass]
+  [StorableClass("73667E1B-A066-4C00-BE8B-BC1BB2F432B9")]
   public abstract class Terminator : SingleSuccessorOperator, ITerminator {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ThresholdTerminator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ThresholdTerminator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Termination/ThresholdTerminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Optimization {
   [Item("ThresholdTerminator", "Base class for all termination criteria which specifies some threshold.")]
-  [StorableClass]
+  [StorableClass("C982ECC5-F72D-452C-943B-C3001A58E034")]
   public abstract class ThresholdTerminator<T> : Terminator where T : class, IItem, IStringConvertibleValue, new() {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.ParallelEngine/3.3/ParallelEngine.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.ParallelEngine/3.3/ParallelEngine.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.ParallelEngine/3.3/ParallelEngine.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// This engine is suitable for parallel processing on shared memory systems which provide multiple cores.
   /// </summary>
-  [StorableClass]
+  [StorableClass("F6D6429D-DAF4-47AB-98C6-27F620C23280")]
   [Item("Parallel Engine", "Engine for parallel execution of algorithms using multiple threads (suitable for shared memory systems with multiple cores).")]
   public class ParallelEngine : Engine {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ConstrainedValueParameter.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("ConstrainedValueParameter", "A parameter whose value has to be chosen from a set of valid values.")]
-  [StorableClass]
+  [StorableClass("14C820C8-6C41-4C7C-8572-0A2643BE895C")]
   public class ConstrainedValueParameter<T> : OptionalConstrainedValueParameter<T> where T : class, IItem {
     public override T Value {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/FixedValueParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/FixedValueParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/FixedValueParameter.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("FixedValueParameter", "A parameter whose value is defined in the parameter itself and cannot be set.")]
-  [StorableClass]
+  [StorableClass("92364C64-680F-423D-A5B7-7CABC8B8A73D")]
   public class FixedValueParameter<T> : ValueParameter<T>, IFixedValueParameter<T> where T : class,IItem, new() {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/LookupParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/LookupParameter.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("LookupParameter", "A parameter whose value is retrieved from or written to a scope.")]
-  [StorableClass]
+  [StorableClass("F148DA65-3D7D-41BA-AF1A-5982102E953D")]
   public class LookupParameter<T> : Parameter, IStatefulItem, ILookupParameter<T> where T : class, IItem {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OperatorParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("OperatorParameter", "A parameter which represents an operator.")]
-  [StorableClass]
+  [StorableClass("42C284BC-C0A9-4085-BB49-D404F11E7675")]
   public class OperatorParameter : OptionalValueParameter<IOperator> {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalConstrainedValueParameter.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("OptionalConstrainedValueParameter", "A parameter whose value has to be chosen from a set of valid values or is null.")]
-  [StorableClass]
+  [StorableClass("4C7B6C72-3684-4E0E-9BEC-9F8D20AC6152")]
   public class OptionalConstrainedValueParameter<T> : Parameter, IConstrainedValueParameter<T> where T : class, IItem {
     public override Image ItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/OptionalValueParameter.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("OptionalValueParameter", "A parameter whose value is defined in the parameter itself or is null.")]
-  [StorableClass]
+  [StorableClass("F6F3C1FF-02EC-4EEF-9513-9352D06ADB64")]
   public class OptionalValueParameter<T> : Parameter, IValueParameter<T> where T : class, IItem {
     public override Image ItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/Parameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/Parameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/Parameter.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("Parameter", "A base class for parameters.")]
-  [StorableClass]
+  [StorableClass("743FB88F-6E73-4252-9474-AE62E4139027")]
   public abstract class Parameter : NamedItem, IParameter {
     public override Image ItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ScopeParameter", "A parameter which represents the current scope.")]
-  [StorableClass]
+  [StorableClass("C37045C2-CC31-4AAE-9CE5-5F7A9CE6A2CD")]
   public class ScopeParameter : LookupParameter<IScope> {
     public new IScope ActualValue {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ScopeTreeLookupParameter.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("ScopeTreeLookupParameter", "A generic parameter representing instances of type T which are collected from or written to scope tree.")]
-  [StorableClass]
+  [StorableClass("0EC798A0-81EA-47B5-A279-99B06B0EE3BD")]
   public class ScopeTreeLookupParameter<T> : LookupParameter<ItemArray<T>>, IScopeTreeLookupParameter<T> where T : class, IItem {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueLookupParameter.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ValueLookupParameter", "A parameter whose value is either defined in the parameter itself or is retrieved from or written to a scope.")]
-  [StorableClass]
+  [StorableClass("2D5A166A-1BC1-4FE2-9180-888F766DA331")]
   public class ValueLookupParameter<T> : LookupParameter<T>, IValueLookupParameter<T> where T : class, IItem {
     public override Image ItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueParameter.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Parameters/3.3/ValueParameter.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ValueParameter", "A parameter whose value is defined in the parameter itself.")]
-  [StorableClass]
+  [StorableClass("90CE0311-5920-44D5-8C4A-3229A779AC6E")]
   public class ValueParameter<T> : OptionalValueParameter<T> where T : class, IItem {
     public override T Value {
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// attributes.
   /// </summary>
-  [StorableClass]
+  [StorableClass("BCB7D801-4FC8-47B9-A2E4-E5A16B65A9DB")]
   public class TypeName {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/Configuration.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// <c>ConfigurationService</c>.
   /// </summary>
-  [StorableClass]
+  [StorableClass("DBAD470C-22B9-4C7A-A45E-21026FA7E765")]
   public class Configuration {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   /// </summary>
   /// <typeparam name="SerialDataFormat">The type of the serial data format.</typeparam>
-  [StorableClass]
+  [StorableClass("71DAC047-94B0-4E76-A004-435FCBD28708")]
   public abstract class FormatBase<SerialDataFormat> : IFormat<SerialDataFormat> where SerialDataFormat : ISerialData {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// <typeparam name="Source">The source type.</typeparam>
   /// <typeparam name="SerialData">The serialized type.</typeparam>
-  [StorableClass]
+  [StorableClass("40C4AFC4-D6E9-43CB-9450-5ABC967DD83C")]
   public abstract class PrimitiveSerializerBase<Source, SerialData> :
       IPrimitiveSerializer<Source, SerialData>
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("DED1FAD5-BD24-49FA-8F8A-E6DA78FA91EF")]
   internal sealed class ArraySerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("F3E94492-318E-41BA-8707-F20001911B92")]
   public sealed class CompactNumberArray2StringSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ConcreteDictionarySerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ConcreteDictionarySerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ConcreteDictionarySerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("D56A21E9-720A-4ABC-88B0-0BD64A852F42")]
   internal sealed class ConcreteDictionarySerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("8D8AA145-C845-454E-BE7D-472A949FF5E9")]
   internal sealed class DictionarySerializer : ICompositeSerializer {
 
